﻿/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}


.details__product {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.product-offer-container {
    background-color: #f16e00;
    position: absolute;
    right: 0px;
    top: 12px;
    font-size: 1rem;
    line-height: 22px;
    text-align: center;
    padding: 10px;
    z-index: 2;
    border-radius: 100px;
    color: white;
    font-family: Inter, sans-serif;
    font-weight: 600;
}


.product__info__category {
    font-family: Montserrat, sans-serif;
    font-weight: 700;
    font-size: 20px;
    color: #9D48A9;
    line-height: 24px;
    text-transform: uppercase;
}

.product__info__title {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 40px;
    color: #3A3E50;
    line-height: 52px;
    text-transform: uppercase;
    letter-spacing: -2.5px;
}

.product__info__stock {
    font-family: Inter, sans-serif;
    font-weight: 400;
    font-size: 27px;
    color: #797979;
    line-height: 32px;
    margin-bottom: 29px;
}

.product__info__price {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 1.3em;
    color: #3A3E50;
    line-height: 50px;
    margin-bottom: 34px;
}

.product-cards__product-card__count__items-control {
    cursor: pointer;
}
.product__info__brand {
    font-family: Montserrat, sans-serif;
    font-weight: 500;
    font-size: 18px;
    color: #3A3E50;
    line-height: 22px;
    margin-bottom: 8px;
}
.product-cards__product-card__count {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 22px;
    margin-bottom: 23px;
    display: flex;
    color: #3A3E50;
    line-height: 32px;
}

.product_imgContainer {
    display: flex;
    max-width: 75%;
    margin-top: auto;
    justify-content: center;
    position:relative;
}

.product__img {
    height:auto;

}
.product__info__code {
    font-family: Montserrat, sans-serif;
    font-weight: 500;
    font-size: 18px;
    color: #3A3E50;
    line-height: 22px;
    margin-bottom: 15px;
}

.product__info__buttons {
    display: flex;
    align-items: center;
    color: #ffffff;
    cursor: pointer;
}

.product__info__buttons__add {
    width: 200px;
    height: 56px;
    margin-right: 2%;
    border-radius: 4px;
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 1em;
}

.product__info__buttons__heart, .product__info__buttons__add, .product-cards__product-card__bottom__buttons__link {
    background-color: #A563AE;
    display: block;
    background-position: center;
    background-repeat: no-repeat;
    color: #FEFEFE;
    border: none;
}

.product-cards__product-card__count__items-current, .product-cards__product-card__count__items-control {
    border: 1px solid #D5D5D5;
    padding: 16px 8px;
    width: 48px;
    height: 52px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.product-cards__product-card__count {
    display:flex;
    margin-bottom:3%;
}

.description__title {
    margin-bottom: 20px;
    font-size:1.4em;
}

.description__text {
    font-family: Montserrat, sans-serif;
    font-weight: 500;
    font-size: 23px;
    color: #3A3E50;
    line-height: 48px;
}
.description__text + p {
    margin-top: 30px;
}

.product__info__buttons__heart {
    height: 57px;
    width: 58px;
    border-radius: 4px;
    text-decoration: none;
    transition: color 0.4s, background-color 0.4s;
    background-image: url(/Content/Images/icons/big-heart.svg);
    background-size: 30px;
}

.product-cards__product-card__count__items-current input {
    width: 100%;
    width: 100%;
    text-align: center;
    border: none;
    outline: none !important;
    font-family: Inter, sans-serif;
    font-weight: 600;
    color: #3A3E50;
    font-size: 0.9em;
}

.description p {
    font-family: 'Inter' !important;
    font-size:0.9em;
}


.description span {
    font-family: 'Inter' !important;
    font-size: 0.9em;
}


.hyperText {
    font-family: 'Inter';
    font-weight: 600;
    color: #008Dab;
    text-decoration: none;
}


@media (max-width: 1276px) {
    .product__info__buttons__add {
        margin-right: 70px;
    }
    .product__info__title {
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 30px;
    }
}

@media (max-width: 1219px) {
    .product__info__buttons__add {
        width: 250px;
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 28px;
    }
}

@media (max-width: 1117px) {
    .product__info__title {
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 28px;
        line-height: 32px;
        letter-spacing: -1px;
    }
}


@media (max-width: 860px) {
    .details__product {
        grid-template-columns: repeat(1, 1fr);
        grid-auto-rows: minmax(60px, auto);
    }
}

@media(max-width:500px) {
    .product__img {
        width:80%;
    }

    .product-cards__product-card__count__items-current, .product-cards__product-card__count__items-control {
        width: 37px;
        height: 43px;
    }
}

@media (max-width: 468px) {
    .product__info__buttons__add {
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 20px;
        width: 200px;
        height: 70px;
    }
    .product__info__buttons__heart {
        height: 70px;
        width: 70px;
        background-image: url(/Content/Images/icons/big-heartMobile.svg);
    }

    .product_imgContainer {
        margin-bottom:9%;
    }
}

@media (max-width: 400px) {

}


@media (max-width: 393px) {
    .product__info__buttons__add {
        margin-right: 40px;
    }
}




